Subject: RE: issue 10

From: "Abarbanel, Benjamin" <[email-masked]>
Date: Wed, 25 Sep 2002 15:26:57 -0400

Jeff:

> 
> If we're at a point where we need to modify a BGP PDU to do some
> sort of mandatory behavior (add an AS to the PATH, append to a
> cluster-list, etc.) and we are at an overflow situation, we may
> have two options:
> 
> 1. Is there something that isn't mandatory that we *might* be able to
>    discard?  If so, thats a value judgement.  Encoding that value
>    judgement in an implementation may be tricky and possibly not
>    worth doing.

I implied only mandatory things. All other attributes can be eliminated if
the implemenatation feels it will not detract from the routes behavior.

> 2. If we can't append, we should not propagate the PDU.
>

agree.

Ben